package jp.co.taosoftware.android.doroAnalogClock;

import java.util.regex.Pattern;

import android.app.Activity;
import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.content.pm.PackageManager.NameNotFoundException;
import android.os.Bundle;
import android.text.util.Linkify;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity{

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.main_activity);

		// バージョン付きアプリ名設定
		((TextView)findViewById(R.id.alertTitle)).setText(getApplicationFullName(this));
		
		// OKボタン
		Button okButton  = (Button)findViewById(R.id.button3);
        okButton.setOnClickListener(new View.OnClickListener(){
        	public void onClick(View view){
        		// 閉じる
        		finish();
        	}
        });

        // Webページへのリンクを生成
        TextView link = (TextView)findViewById(R.id.url);
        Linkify.addLinks(link, Pattern.compile(""), this.getString(R.string.about_link_url));
	}

	/**
	 * アプリ名＋バージョンの文字列を生成
	 * @param ctx
	 * @return
	 */
	public String getApplicationFullName(Context ctx){
		
		String versionName = "" ;
		PackageManager pm = ctx.getPackageManager();
		
		try {
			PackageInfo info = null;
			info = pm.getPackageInfo(ctx.getPackageName(), 0);
			versionName = info.versionName;
		} catch (NameNotFoundException e) {
		}
		
		 String message = ctx.getString(R.string.app_name) + " ";
		 
		 message += versionName ;

		 return message;
	}
		
		
	
}
